aboutsummaryrefslogtreecommitdiffstats
path: root/ci/install-osx.sh
diff options
context:
space:
mode:
authorGennadiy Civil <gennadiycivil@users.noreply.github.com>2017-12-15 15:49:46 -0500
committerGitHub <noreply@github.com>2017-12-15 15:49:46 -0500
commitf6c44fe3180af1ae58d10681732d21f9505e04c2 (patch)
treebff54491d71c37763898e78746077f8f5b4a09e4 /ci/install-osx.sh
parenta30e15b144b7669e8eb0801b67708c5137677e9a (diff)
parent1865ecaf1779c2a2f210ca3768aa030206ef74ba (diff)
downloadgoogletest-f6c44fe3180af1ae58d10681732d21f9505e04c2.tar.gz
googletest-f6c44fe3180af1ae58d10681732d21f9505e04c2.tar.bz2
googletest-f6c44fe3180af1ae58d10681732d21f9505e04c2.zip
Merge branch 'master' into fix-issue-776-support-autoconf-as-submodule
Diffstat (limited to 'ci/install-osx.sh')
-rwxr-xr-xci/install-osx.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/ci/install-osx.sh b/ci/install-osx.sh
new file mode 100755
index 00000000..6550ff51
--- /dev/null
+++ b/ci/install-osx.sh
@@ -0,0 +1,39 @@
+#!/usr/bin/env bash
+# Copyright 2017 Google Inc.
+# All Rights Reserved.
+#
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above
+# copyright notice, this list of conditions and the following disclaimer
+# in the documentation and/or other materials provided with the
+# distribution.
+# * Neither the name of Google Inc. nor the names of its
+# contributors may be used to endorse or promote products derived from
+# this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+set -eu
+
+if [ "${TRAVIS_OS_NAME}" != "osx" ]; then
+ echo "Not a macOS build; skipping installation"
+ exit 0
+fi
+
+brew install ccache